<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->

<form
  [formGroup]="generalForm"
  class="col-6 ls-form"
  novalidate>
  <div class="form-group required">
    <label
      [innerText]="commonMessages.NAME"
      for="popupNameInput">
    </label>
    <span
      [innerText]="messages.getNameLabelInfo(nameMinLength, nameMaxLength)"
      class="ls-info-label">
    </span>
    <input
      (ngModelChange)="onChange()"
      [(ngModel)]="type.name"
      class="form-control"
      formControlName="nameInput"
      id="popupNameInput"
      [maxlength]="nameMaxLength"
      [minLength]="nameMinLength"
      name="popupNameInput"
      required
      autofocus="true"
      type="text">
  </div>

  <div class="form-group required">
    <label
      for="popupDescriptionInput"
      [innerText]="commonMessages.DESCRIPTION">
    </label>
    <span
      [innerText]="commonMessages.getMinDescriptionLabelInfo(descriptionMinLength)"
      class="ls-info-label">
    </span>
    <input
      (ngModelChange)="onChange()"
      [(ngModel)]="type.description"
      class="form-control"
      formControlName="descriptionInput"
      id="popupDescriptionInput"
      [minLength]="descriptionMinLength"
      name="popupDescriptionInput"
      required
      type="text">
  </div>
</form>
